Verify User Credentials
POST /obp/v7.0.0/users/verify-credentials
OBPv6.0.0-verifyUserCredentials Roles: CanVerifyUserCredentials User
Verify a user's credentials (username, password, provider) and return user information if valid.
This endpoint validates the provided credentials without creating a token or session. It can be used to verify user credentials in external systems.
Application Access is Required. The Application must be authenticated.
User Authentication is Required. The User must be logged in. The Application must also be authenticated.
This endpoint supports User OR Application authentication. You can authenticate either as a logged-in User (with Entitlements) or as an Application using a Consumer Key (with Scopes). See here for more information.
This endpoint supports User OR Application authentication. You can authenticate either as a logged-in User (with Entitlements) or as an Application using a Consumer Key (with Scopes). See here for more information.
This endpoint supports User OR Application authentication. You can authenticate either as a logged-in User (with Entitlements) or as an Application using a Consumer Key (with Scopes). See here for more information.
JSON response body fields (10)
- bank_id
- gh.29.uk
- felixsmith@example.com
- entitlement_id
- entitlements
- list
- provider
- ETHEREUM
- provider_id
- role_name
- user_id
- 9ca9a7e4-6d02-40e3-a129-0b2bf89de9b1
- username
- felixsmith
Example request body
{
"username": "username",
"password": "password",
"provider": "https://obp-api-sandbox.nmbbank.co.tz"
}Example success response
{
"user_id": "9ca9a7e4-6d02-40e3-a129-0b2bf89de9b1",
"email": "felixsmith@example.com",
"provider_id": "Chris",
"provider": "http://127.0.0.1:8080",
"username": "felixsmith",
"entitlements": {
"list": [
{
"entitlement_id": "6fb17583-1e49-4435-bb74-a14fe0996723",
"role_name": "CanQueryOtherUser",
"bank_id": "gh.29.uk"
}
]
}
}Possible errors (7)
- OBP-20006: User is missing one or more roles:
- OBP-10001: Incorrect json format.
- OBP-20004: Invalid login credentials. Check username/password.
- OBP-20013: The account has been locked, please contact an administrator!
- OBP-50000: Unknown Error.
- OBP-20001: User not logged in. Authentication is required!
- OBP-20200: The application cannot be identified.